from pasteob.base import *
from pasteob.errors import *
from pasteob.dispatch import *
from pasteob.reqaddon import *
from pasteob.overrides import *

WSGI[None] = lambda none: ErrorResponse(404)


@wapp_mw
def gzip_mw(req, app):
    #@@ technically we should add Vary: Content-Encoding header
    # for all compressible content
    if 'gzip' not in req.accept_encoding:
        return app
    resp = req.get_response(app)
    if not resp.content_encoding and 'zip' not in resp.content_type:
        for typestr in ['text', 'javascript', 'xml']:
            if typestr in resp.content_type:
                resp.encode_content()
    return resp

#Request.blank('/', accept_encoding='gzip').get_response(gzip_mw(Response('111')))


